Subject: Re: bug#55944: [PATCH] Fix dns-mode-font-lock-keywords

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 13 Jun 2022 16:33:16 +0200

Lassi Kortela <[email-masked]> writes:

> Attached is a simple fix to the syntax highlighting of dns-mode.
>
> For example, IN and SOA are reserved words. Instead of highlighting
> only the full words IN and SOA, dns-mode would highlight any word that
> has IN or SOA as a substring. This patch fixes the use of regexp-opt
> such that reserved words are only highlighted when they are full
> words.

Thanks; pushed to Emacs 29.

This change was small enough to apply without assigning copyright to the
FSF, but for future patches you want to submit, it might make sense to
get the paperwork started now, so that subsequent patches can be applied
speedily. Would you be willing to sign such paperwork?